classification
Title: Python 3.7 docs in docs.p.o points to GitHub's master branch
Type: Stage: patch review
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, lukasz.langa, miss-islington, ned.deily
Priority: normal Keywords: patch

Created on 2018-02-23 16:57 by Mariatta, last changed 2019-06-21 18:06 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 5835 merged Mariatta, 2018-02-23 17:23
PR 14282 merged Mariatta, 2019-06-21 16:59
Messages (5)
msg312645 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-02-23 16:57
When viewing Python 3.7 docs in docs.python.org, the show source link is pointing to the master branch on GitHub. It should point to the 3.7 branch.

I'm working on a fix, however this is something to we should remember doing when we go to 3.9+. 

Adding Python 3.8 and 3.9's release manager :)
msg312655 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-02-23 18:02
New changeset 079d75d099f228a4261f63a94217571e05e8fa8e by Mariatta in branch '3.7':
bpo-32924: Fix the Show Source url in the docs. (GH-5835)
https://github.com/python/cpython/commit/079d75d099f228a4261f63a94217571e05e8fa8e
msg312656 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-02-23 18:03
The link has been fixed, it affects 3.7 branch only.
msg312742 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-02-24 19:00
It would be great if the URL in the template were constructed from the value of SOURCE_URI in Doc/tools/extensions/pyspecific.py.  I was unaware that there was this additional URL reference in the template.
msg346239 - (view) Author: miss-islington (miss-islington) Date: 2019-06-21 18:06
New changeset 52c4a4fb816d51a36c02b043d6fd5eeb875411d6 by Miss Islington (bot) (Mariatta) in branch '3.8':
[3.8] bpo-32924: Fix the Show Source url in 3.8 documentation. (GH-14282)
https://github.com/python/cpython/commit/52c4a4fb816d51a36c02b043d6fd5eeb875411d6
History
Date User Action Args
2019-06-21 18:06:51miss-islingtonsetnosy: + miss-islington
messages: + msg346239
2019-06-21 16:59:50Mariattasetstage: needs patch -> patch review
pull_requests: + pull_request14115
2018-02-24 19:00:21ned.deilysetstatus: closed -> open

versions: + Python 3.8
nosy: + ned.deily

messages: + msg312742
resolution: fixed ->
stage: resolved -> needs patch
2018-02-23 18:03:26Mariattasetstatus: open -> closed
versions: - Python 3.8
messages: + msg312656

resolution: fixed
stage: patch review -> resolved
2018-02-23 18:02:32Mariattasetmessages: + msg312655
2018-02-23 17:23:43Mariattasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5612
2018-02-23 16:57:38Mariattacreate